# BEGIN SourceDeps(oneline):
BuildRequires: makeinfo
# END SourceDeps(oneline)
%def_with _octave_arch
%define octpkg level-set
Name: octave-%octpkg
Version: 0.3.0
Release: alt6
Summary: Level Set

Group: Sciences/Mathematics
License: GPLv3+
Url: http://octave.sourceforge.net/

Source0: https://downloads.sourceforge.net/project/octave/Octave%%20Forge%%20Packages/Individual%%20Package%%20Releases/%{octpkg}-%{version}.tar.gz
Patch: octave-6.patch
Patch1: octave-package-level-set-octave-9.patch

BuildRequires(pre): rpm-build-octave
BuildRequires: octave-devel
%if_with _octave_arch
BuildRequires: gcc-c++ gcc-g77 libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel
%else
BuildArch: noarch
%endif
Provides: octave(level-set) = %version
# Depends: octave (>= 3.6.0)
Requires: octave >= 3.6.0


%description
Routines for calculating the time-evolution of the level-set equation and
extracting geometric information from the level-set function.

%prep
%setup -q -n %{octpkg}
%patch -p2
%patch1 -p1

%build
%octave_build

%install
%octave_install

%files
%doc COPYING NEWS DESCRIPTION
%_datadir/octave/packages/%octpkg-%version
%if_with _octave_arch
%_libdir/octave/packages/%octpkg-%version
%endif

%changelog
* Wed Feb 19 2025 Andrey Cherepanov <cas@altlinux.org> 0.3.0-alt6
- FTBFS: fix build with Octave 9.x.

* Mon Jan 18 2021 Andrey Cherepanov <cas@altlinux.org> 0.3.0-alt5
- FTBFS: fix build with Octave 6.x.

* Sun Jun 23 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt4
- rebuild with octave 5

* Tue May 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt3
- rebuild with octave 4.4

* Thu May 18 2017 Paul Wolneykien <manowar@altlinux.org> 0.3.0-alt2
- regenerated from template by package builder

* Wed Apr 13 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1
- regenerated from template by package builder

* Tue Jul 07 2015 Paul Wolneykien <manowar@altlinux.org> 0.1.0-alt2
- Rebuild with the next version of Octave: 4.0.0

* Thu Jun 18 2015 Gleb F-Malinovskiy <glebfm@altlinux.org> 0.1.0-alt1.1
- Rebuilt for gcc5 C++11 ABI.

* Wed Jul 02 2014 Paul Wolneykien <manowar@altlinux.ru> 0.1.0-alt1
- updated by octave-package-builder

